Doomsday Engine - Bug #2083

[Hexen] Spurious warning messages about music ("ignoring unknown music in
TranslatedMapinfos™)

2015-06-08 02:50 - theleo_ua

Status: Closed Start date: 2015-06-08
Priority: Normal % Done: 100%
Assignee: skyjake

Category: User experience

Target version: 1.15.1

Description

strange warning messages in hexen "unknown music X in Y on line Z"
Steps to reproduce:
1) Run hexen

Actual result: strange warning messages in hexen "unknowm music X in Y on line Z" (see attached message2.jpg)
Expected result: due to fact that music is played correctly, there should not be such messages

Related issues:
Related to Feature #2093: Processing definitions generated from MAPINFO in ZD... New 2015-06-19

Associated revisions

Revision eff9f25f - 2015-06-19 16:29 - skyjake

Fixed|Hexen: Spurious warnings about ignored music definitions
IssuelD #2083

Revision ¢35214ba - 2015-06-19 16:36 - skyjake

Fixed|Hexen: Omit warnings about music definitions from MAPINFO
Temporary workaround.

IssuelD #2083
IssuelD #2093

History

#1 - 2015-06-08 02:51 - theleo_ua
- File doomsday.out added

#2 - 2015-06-08 07:07 - skyjake

- Tags set to Music, Definitions

- Category changed from Regression to User experience
- Assignee changed from skyjake to Deng Team

- Priority changed from Lowest to Normal

#3 - 2015-06-08 07:08 - skyjake

- Tags changed from Music, Definitions to Music, Definitions, Hexen

#4 - 2015-06-13 10:03 - skyjake

- Subject changed from strange warning messages in hexen "unknown music X in Y on line Z" to [Hexen] Spurious warning messages about music
("ignoring unknown music in TranslatedMapinfos")

Perhaps this should be a Developer warning, since the user can't do much about it.

#5 - 2015-06-16 18:00 - skyjake
The warnings are printed because the definitions translated from MAPINFO are parsed before the game's music definitions.

#6 - 2015-06-17 05:17 - theleo_ua

Also, as you can see in attached doomsday.out, there are additional warnings for sprites:

ResourceSystem: Ignoring invalid sprite name 'ARTIPTN2'
: Ignoring invalid sprite name 'ARTISOAR'
: Ignoring invalid sprite name 'ARTIINVU'

: Ignoring invalid sprite name 'ARTIPORK'
: Ignoring invalid sprite name 'ARTISPHL'
: Ignoring invalid sprite name 'ARTITRCH'
: Ignoring invalid sprite name 'ARTIATLP'
: Ignoring invalid sprite name '"ARTISUMN'
: Ignoring invalid sprite name 'ARTIPSBG'
: Ignoring invalid sprite name 'ARTISPED'
: Ignoring invalid sprite name 'ARTIBMAN'
: Ignoring invalid sprite name 'ARTIBRAC'
: Ignoring invalid sprite name 'ARTITELO'
: Ignoring invalid sprite name 'ARTIBLST'
: Ignoring invalid sprite name 'ARTISKLL'

: Ignoring invalid sprite name 'ARTIBGEM'
: Ignoring invalid sprite name 'ARTIGEMR'
: Ignoring invalid sprite name 'ARTIGMG2'
: Ignoring invalid sprite name 'ARTIGMB2'
: Ignoring invalid sprite name 'ARTIBOK1'
: Ignoring invalid sprite name 'ARTIBOK2'
: Ignoring invalid sprite name 'ARTISKL2'

: Ignoring invalid sprite name 'ARTIFWEP'
: Ignoring invalid sprite name '"ARTICWEP'
: Ignoring invalid sprite name '"ARTIMWEP'
: Ignoring invalid sprite name 'ARTIGEAR'
: Ignoring invalid sprite name 'ARTIHRAD'

> > > > > > > > > > > > > > > > > > > > > > > > > >

#7 - 2015-06-17 09:21 - danij

The sprite name warnings are the result of these resources being misplaced in the Hexen IWAD - they are marked up as sprites. A warning is

generated for the benefit of mod authors, although we could perhaps suppress them if the same issue exists in an IWAD.

#8 - 2015-06-19 15:08 - skyjake

Since the music warnings can't be fully fixed in 1.15.1, I'll just make prevent them from being printed when processing the definitions translated from

MAPINFO.

#9 - 2015-06-19 15:11 - skyjake

- Related to Feature #2093: Processing definitions generated from MAPINFO in ZDoom vs. Hexen mode added

#10 - 2015-06-19 15:11 - skyjake

- Status changed from New to In Progress

#11 - 2015-06-19 15:13 - skyjake

- Assignee changed from Deng Team to skyjake

#12 - 2015-06-19 16:25 - skyjake
- % Done changed from 0 to 100

#13 - 2015-06-19 21:06 - skyjake

- Status changed from In Progress to Closed

Files
messages2.jpg 410 KB 2015-06-08 theleo_ua
doomsday.out 17.3 KB 2015-06-08 theleo_ua
